#
# ulpk02.rb
#
# $Id: ulpk02.rb,v 1.1 2000/11/22 14:35:58 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


nbl = 2

#-- data ---
bl = [1.0, 3.0]

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::sgopn(+iws.abs)

DCL::sglset('LFULL', true)
DCL::uzfact(0.7)
DCL::slrat(1.0, 0.75)
DCL::sldiv('Y', 7, 1)

DCL::sgfrm
DCL::uzinit
DCL::sgswnd(0.2, 200.0, 0.15, 200.0)
DCL::sgsvpt(0.13, 0.14, 0.1, 0.9)
DCL::sgstrn(4)
DCL::sgstrf
DCL::uliset('IYTYPE', 1)
DCL::ulylog('L', 1, 9)
ctl = 'ULYLOG (IYTYPE=1,NLBL=1,NTCK=9)'
DCL::uysttl('L', ctl, 0.0)

DCL::sglset('LCNTL', true)

DCL::sgfrm
DCL::uzinit
DCL::sgswnd(0.2, 200.0, 0.15, 200.0)
DCL::sgsvpt(0.13, 0.14, 0.1, 0.9)
DCL::sgstrn(4)
DCL::sgstrf
DCL::uliset('IYTYPE', 1)
DCL::ulylog('L', 3, 9)
ctl = 'ULYLOG (IYTYPE=1,NLBL=3,NTCK=9)'
DCL::uysttl('L', ctl, 0.0)

DCL::sgfrm
DCL::uzinit
DCL::sgswnd(0.2, 200.0, 0.15, 200.0)
DCL::sgsvpt(0.13, 0.14, 0.1, 0.9)
DCL::sgstrn(4)
DCL::sgstrf
DCL::uliset('IYTYPE', 2)
DCL::ulylog('L', 3, 9)
ctl = 'ULYLOG (IYTYPE=2,NLBL=3,NTCK=9)'
DCL::uysttl('L', ctl, 0.0)

DCL::sgfrm
DCL::uzinit
DCL::sgswnd(0.2, 200.0, 0.15, 200.0)
DCL::sgsvpt(0.13, 0.14, 0.1, 0.9)
DCL::sgstrn(4)
DCL::sgstrf
DCL::uliset('IYTYPE', 3)
DCL::ulylog('L', 3, 9)
ctl = 'ULYLOG (IYTYPE=3,NLBL=3,NTCK=9)'
DCL::uysttl('L', ctl, 0.0)

DCL::sgfrm
DCL::uzinit
DCL::sgswnd(0.2, 200.0, 0.15, 200.0)
DCL::sgsvpt(0.13, 0.14, 0.1, 0.9)
DCL::sgstrn(4)
DCL::sgstrf
DCL::uliset('IYTYPE', 4)
DCL::ulylog('L', 3, 9)
ctl = 'ULYLOG (IYTYPE=4,NLBL=3,NTCK=9)'
DCL::uysttl('L', ctl, 0.0)

DCL::sgfrm
DCL::uzinit
DCL::sgswnd(0.2, 200.0, 0.15, 200.0)
DCL::sgsvpt(0.13, 0.14, 0.1, 0.9)
DCL::sgstrn(4)
DCL::sgstrf
DCL::ulysfm('(F5.1)')
DCL::uliset('IYTYPE', 3)
DCL::ulylog('L', 3, 9)
ctl = 'ULYLOG (IYTYPE=3,NLBL=3,NTCK=9)'
DCL::uysttl('L', ctl, 0.0)

DCL::sgfrm
DCL::uzinit
DCL::sgswnd(0.2, 200.0, 0.15, 200.0)
DCL::sgsvpt(0.13, 0.14, 0.1, 0.9)
DCL::sgstrn(4)
DCL::sgstrf
DCL::uliset('IYTYPE', 1)
DCL::uliset('IYCHR', 194)
DCL::ulsybl(bl)
DCL::ulylog('L', 4, 5)
ctl = 'ULYLOG (IYTYPE=1,NLBL=4,NTCK=5)'
DCL::uysttl('L', ctl, 0.0)

DCL::sgcls

